#import "AppDelegate.h"


@implementation AppDelegate

- (IBAction)setIconFilepath:(id)sender;
{
    NSOpenPanel *openPanel;
	
    openPanel = [NSOpenPanel openPanel];
    [openPanel setCanChooseDirectories:NO];
    [openPanel setAllowsMultipleSelection:NO];
    [openPanel setResolvesAliases:YES];
    [openPanel setCanChooseFiles:YES];
    [openPanel setTreatsFilePackagesAsDirectories:YES];
    
    NSArray *fileTypes = [NSArray arrayWithObjects: @"icns", nil];
    
    if ([openPanel runModalForTypes:fileTypes] == NSOKButton)
    {
        [icnsFilepath setStringValue:[openPanel filename]];
    }
    
    
}

- (IBAction)setDirectoryPath:(id)sender;
{
    NSOpenPanel *panel = [NSOpenPanel openPanel];
    
    // Don't allow the user to choose files, only directories
    // for our destination.
    [panel setCanChooseFiles:NO];
    [panel setCanChooseDirectories:YES];
    
    if( [panel runModalForDirectory:nil file:nil] == NSOKButton )
    {
        [dirPath setStringValue:[panel directory]];
    }
}

- (IBAction)setIconForDirectory:(id)sender;
{
    IconFamily *fam = [IconFamily iconFamilyWithContentsOfFile:[icnsFilepath stringValue]];    
    [fam setAsCustomIconForDirectory:[dirPath stringValue]];
}

@end